List a session's tool invocations
GET
/api/v1/chat/sessions/{sessionId}/tool-invocations
const url = 'https://app.avera.io/api/v1/chat/sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tool-invocations';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/chat/sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tool-invocationsEvery tool call the agent made in the session, for governance and audit views.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”sessionId
required
string format: uuid
Responses
Section titled “Responses”OK
Media type*/*
Array<object>
object
id
required
string format: uuid
sessionId
required
string format: uuid
messageId
string | null format: uuid
toolName
required
string
inputParameters
required
string
outputResult
string | null
errorMessage
string | null
startedAt
required
string format: date-time
completedAt
string | null format: date-time
latencyMs
integer | null format: int64